Open CASCADE Technology: ChFiKPart_ComputeData Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
ChFiKPart_ComputeData Class Reference

Methodes de classe permettant de remplir une SurfData dans les cas particuliers de conges suivants: More...

`#include <ChFiKPart_ComputeData.hxx>`

## Static Public Member Functions
static Standard_Boolean | Compute (TopOpeBRepDS_DataStructure &DStr, Handle< ChFiDS_SurfData > &Data, const Handle< Adaptor3d_HSurface > &S1, const Handle< Adaptor3d_HSurface > &S2, const TopAbs_Orientation Or1, const TopAbs_Orientation Or2, const Handle< ChFiDS_Spine > &Sp, const Standard_Integer Iedge)
| Computes a simple fillet in several particular cases. More...
static Standard_Boolean | ComputeCorner (TopOpeBRepDS_DataStructure &DStr, const Handle< ChFiDS_SurfData > &Data, const Handle< Adaptor3d_HSurface > &S1, const Handle< Adaptor3d_HSurface > &S2, const TopAbs_Orientation OrFace1, const TopAbs_Orientation OrFace2, const TopAbs_Orientation Or1, const TopAbs_Orientation Or2, const Standard_Real minRad, const Standard_Real majRad, const gp_Pnt2d &P1S1, const gp_Pnt2d &P2S1, const gp_Pnt2d &P1S2, const gp_Pnt2d &P2S2)
| Computes a toric or spheric corner fillet. More...
static Standard_Boolean | ComputeCorner (TopOpeBRepDS_DataStructure &DStr, const Handle< ChFiDS_SurfData > &Data, const Handle< Adaptor3d_HSurface > &S1, const Handle< Adaptor3d_HSurface > &S2, const TopAbs_Orientation OrFace1, const TopAbs_Orientation OrFace2, const TopAbs_Orientation Or1, const TopAbs_Orientation Or2, const Standard_Real Rad, const gp_Pnt2d &PS1, const gp_Pnt2d &P1S2, const gp_Pnt2d &P2S2)
| Computes spheric corner fillet with non iso pcurve on S2. More...
static Standard_Boolean | ComputeCorner (TopOpeBRepDS_DataStructure &DStr, const Handle< ChFiDS_SurfData > &Data, const Handle< Adaptor3d_HSurface > &S, const Handle< Adaptor3d_HSurface > &S1, const Handle< Adaptor3d_HSurface > &S2, const TopAbs_Orientation OfS, const TopAbs_Orientation OS, const TopAbs_Orientation OS1, const TopAbs_Orientation OS2, const Standard_Real Radius)
| Computes a toric corner rotule. More...

## Detailed Description

Methodes de classe permettant de remplir une SurfData dans les cas particuliers de conges suivants:

- cylindre entre 2 surfaces planes,
- tore/sphere entre un plan et un cylindre othogonal,
- tore/sphere entre un plan et un cone othogonal,
- tore entre un plan et une droite orthogonale (rotule).

## Member Function Documentation

static Standard_Boolean ChFiKPart_ComputeData::Compute | ( | TopOpeBRepDS_DataStructure & | DStr,
|  | Handle< ChFiDS_SurfData > & | Data,
|  | const Handle< Adaptor3d_HSurface > & | S1,
|  | const Handle< Adaptor3d_HSurface > & | S2,
|  | const TopAbs_Orientation | Or1,
|  | const TopAbs_Orientation | Or2,
|  | const Handle< ChFiDS_Spine > & | Sp,
|  | const Standard_Integer | Iedge
| ) |  |
| static

Computes a simple fillet in several particular cases.

static Standard_Boolean ChFiKPart_ComputeData::ComputeCorner | ( | TopOpeBRepDS_DataStructure & | DStr,
|  | const Handle< ChFiDS_SurfData > & | Data,
|  | const Handle< Adaptor3d_HSurface > & | S1,
|  | const Handle< Adaptor3d_HSurface > & | S2,
|  | const TopAbs_Orientation | OrFace1,
|  | const TopAbs_Orientation | OrFace2,
|  | const TopAbs_Orientation | Or1,
|  | const TopAbs_Orientation | Or2,
|  | const Standard_Real | minRad,
|  | const Standard_Real | majRad,
|  | const gp_Pnt2d & | P1S1,
|  | const gp_Pnt2d & | P2S1,
|  | const gp_Pnt2d & | P1S2,
|  | const gp_Pnt2d & | P2S2
| ) |  |
| static

Computes a toric or spheric corner fillet.

static Standard_Boolean ChFiKPart_ComputeData::ComputeCorner | ( | TopOpeBRepDS_DataStructure & | DStr,
|  | const Handle< ChFiDS_SurfData > & | Data,
|  | const Handle< Adaptor3d_HSurface > & | S1,
|  | const Handle< Adaptor3d_HSurface > & | S2,
|  | const TopAbs_Orientation | OrFace1,
|  | const TopAbs_Orientation | OrFace2,
|  | const TopAbs_Orientation | Or1,
|  | const TopAbs_Orientation | Or2,
|  | const Standard_Real | Rad,
|  | const gp_Pnt2d & | PS1,
|  | const gp_Pnt2d & | P1S2,
|  | const gp_Pnt2d & | P2S2
| ) |  |
| static

Computes spheric corner fillet with non iso pcurve on S2.

static Standard_Boolean ChFiKPart_ComputeData::ComputeCorner | ( | TopOpeBRepDS_DataStructure & | DStr,
|  | const Handle< ChFiDS_SurfData > & | Data,
|  | const Handle< Adaptor3d_HSurface > & | S,
|  | const Handle< Adaptor3d_HSurface > & | S1,
|  | const Handle< Adaptor3d_HSurface > & | S2,
|  | const TopAbs_Orientation | OfS,
|  | const TopAbs_Orientation | OS,
|  | const TopAbs_Orientation | OS1,
|  | const TopAbs_Orientation | OS2,
|  | const Standard_Real | Radius
| ) |  |
| static

Computes a toric corner rotule.

The documentation for this class was generated from the following file:

- ChFiKPart_ComputeData.hxx